Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
[Java] Class StringReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.StringReaderSource

    public class StringReaderSource
    extends AbstractReaderSource

A ReaderSource for source strings.

Authors:
  Chris Poirier

Version:
  \$Id: StringReaderSource.java 17536 2009-09-04 01:42:05Z glaforge \$

Field Summary

Fields inherited from class AbstractReaderSource
configuration

Constructor Summary
`StringReaderSource(String string, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class AbstractReaderSource
canReopenSource, cleanup, getLine

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### StringReaderSource

    public StringReaderSource(String string, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  Parameters:
    `string` - string containing script source
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.

Copyright © 2003-2010 The Codehaus. All rights reserved.